#ifndef VIP_H_
#define VIP_H_

// frame reader
void FrameReader_SetFrame0(alt_u32 VipBase, alt_u32 FrameBase, alt_u32 words, alt_u32 cycle, alt_u32 width, alt_u32 height, alt_u32 interlace);
void FrameReader_SetFrame1(alt_u32 VipBase, alt_u32 FrameBase, alt_u32 words, alt_u32 cycle, alt_u32 width, alt_u32 height, alt_u32 interlace);

// histogram
bool Histogram_CaptureSync(alt_u32 VipBase, alt_u32 szHist[3][256]);

// pixel picker
void PixelPicker_ConfigFrame(alt_u32 VipBase, alt_u32 width, alt_u32 height);
bool PixelPicker_CaptureSync(alt_u32 VipBase, alt_u32 x, alt_u32 y, alt_u32 szLevel[3]);

#endif /*VIP_H_*/
